import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.*;

/**
 * Klasse für Erstellung von looseScreen Objekten
 * Dient zur Anzeige das ein Spiel verloren wurde
 * @author Joshua Kuklok, Luca Bronson
 */
public class LoseScreen extends JPanel {
    JLabel loseLabel = new JLabel("Du hast Verloren");
    JButton okButton = new JButton("Zurück zum Hauptmenü");
    Font robotoFont = new Font("Roboto", Font.BOLD, 45);

    /**
     * Konstruktor der LoseScreen Klasse
     * @param frame Der Mainframe der Anwendung über den alle Panels angezeigt werden.
     * @author Lucas Bronson
     */
    public LoseScreen(MainFrame frame) {
        setLayout(null);
        buildPanel(frame);
    }

    /**
     * Panel bauen/Objekte hinzufügen
     * @param frame Der Mainframe der Anwendung über den alle Panels angezeigt werden.
     * @author Lucas Bronson, Joshua Kuklok
     */
    public void buildPanel(MainFrame frame) {
        add(loseLabel);
        okButton.setBounds(625,525,200,50);
        loseLabel.setBounds(550,450,500,50);
        loseLabel.setFont(robotoFont);
        SoundHandler.playSound("loose");

        // Zurückkehren zum Hauptmenü, wenn okButton gedrückt wird
        okButton.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                frame.showPanel("MainMenu");
            }
        });
        add(loseLabel);
        add(okButton);
    }
}
